Subject: RE: [AVT] Rough draft of XR MIB

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 2 Feb 2005 10:14:26 +0200

Here we go.

Regards,

Dan

-----------------

1. ITU-ALARM-TC was renamed ITU-ALARM-TC-MIB (see RFC 3877), which causes to smilint to complain.
2. rtcpXrNotificationsGroup is not referenced in the compliance clauses.
3. CONTACT-INFO - worth providing the e-mail address of the Working Group
4. The re-organization of the MIB tables that was discussed at IETF-61 did not happen yet - including breaking the reported metrics table into smaller tables and definition of different compliance tables. Some hints of what is supposed to happen have been presented in the commented text, but the MIB objects are still organized in one big table. 
5. I suggest adding REFERENCE clauses in the objects definitions to RFC 3611 and other documents where applicable. This is better than references in the DESCRIPTION clauses.
6. Terminology - Instead of 'This MIB provides ...' - use 'This MIB module provides ...'
7. Should not a value for domainName be added to rtcpXrVoipDestIdentifierType and rtcpXrVoipSourceIdentifierType?
8. I am kind of confused by rtcpXrVoipVocoderType being defined as a OCTET STRING. Is there a reference for this, how is interoperability ensured? If the intention is to use displayable strings interoperability is a problem, and in any case SYNTAX should be SnmpAdminString.
9. How rtcpXrVoipAlertSeverity acquires per session value? It looks like this object is mainly in place for the notification, and the index points to the session table when a notification is received. There needs to be some more text about this. 
10. Another object that confuses me is rtcpXrVoipAlertType. How is this populated, and how interoperability is ensured? If the intention is to create some text to be passed by notifications and displayed in the log, the SYNTAX should be SnmpAdminString. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On 
> Behalf Of Alan Clark
> Sent: 30 January, 2005 5:58 PM
> To: [email-masked]
> Subject: [AVT] Rough draft of XR MIB
> 
> 
> 
> I attach a copy of the updated XR MIB for initial comments.  
> This is in
> "raw" format to make reviewing/ syntax checking easier - I'll 
> put it back
> into draft format once comments have been received.
> 
> Changes:-
> 
> - major syntax cleanup and check using smilint
> - added compliance section
> - added object for call quality algorithm
> - made it more obvious that a row in the MIB relates to one 
> call direction
> - added a RowPointer to allow the reverse direction to be "connected"
> 
> 
> Regards
> 
> Alan Clark
> 
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt